Перейти к содержимому

Update an offer

PATCH
/api/v1/offers/{id}
curl --request PATCH \
--url https://example.com/api/v1/offers/example \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{ "name": "Nutra CPA — US", "networkId": "example", "url": "https://track.network.com/click?offer=123&subid={click_id}", "countries": [ "US", "CA" ], "payout": 12.5, "payoutCurrency": "USD", "payoutModel": "fixed", "capDaily": 500, "capTotal": 5000, "status": "active", "notes": "example", "groupName": "Q3 nutra batch" }'
id
required
string
Media typeapplication/json
object
name
string

Example

Nutra CPA — US
networkId

Affiliate network this offer belongs to.

string
url

May contain macros, resolved the same way link target URLs are.

string

Example

https://track.network.com/click?offer=123&subid={click_id}
countries
Array<string>

Example

[
"US",
"CA"
]
payout
number

Example

12.5
payoutCurrency
string

Example

USD
payoutModel
string
Allowed values: fixed auto_from_postback
capDaily
number

Example

500
capTotal
number

Example

5000
status
string
Allowed values: active paused archived auto_disabled
notes
string
groupName
string

Example

Q3 nutra batch
Media typeapplication/json
object
id
required
string
workspaceId
required
string
networkId
object
name
required
string
url
required
string
countries
object
payout
required
number
payoutCurrency
required
string
payoutModel
required
string
Allowed values: fixed auto_from_postback
capDaily
object
capTotal
object
status
required
string
Allowed values: active paused archived auto_disabled
notes
object
groupName
object
healthStatus
required
string
Allowed values: healthy unhealthy unknown
disabledReason
object
createdAt
required
string
updatedAt
required
string

Example

{
"payoutModel": "fixed",
"status": "active",
"healthStatus": "healthy"
}